Package com.enonic.xp.content

## Class ExtraDatas

- java.lang.Object
- - com.enonic.xp.support.AbstractImmutableEntitySet<ExtraData>
  - - com.enonic.xp.content.ExtraDatas

- All Implemented Interfaces:
    `Iterable<ExtraData>`

      @PublicApi
      public final class ExtraDatas
      extends AbstractImmutableEntitySet<ExtraData>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ExtraDatas.Builder` |

  - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `set`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExtraDatas` | `copy()` |
    `static ExtraDatas.Builder` | `create()` |
    `static ExtraDatas` | `empty()` |
    `static ExtraDatas` | `from​(ExtraDatas extraDatas, ExtraData extraData)` |
    `static ExtraDatas` | `from​(Iterable<? extends ExtraData> extradatas)` |
    `static ExtraDatas` | `from​(Stream<? extends ExtraData> extradatas)` |
    `ExtraData` | `getMetadata​(XDataName name)` |
    `XDataNames` | `getNames()` |

    - ### Methods inherited from class com.enonic.xp.support.AbstractImmutableEntitySet

      `contains, equals, first, getSet, getSize, hashCode, isEmpty, isNotEmpty, iterator, stream, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### getNames

          public XDataNames getNames()

    - #### getMetadata

          public ExtraData getMetadata​(XDataName name)

    - #### copy

          public ExtraDatas copy()

    - #### empty

          public static ExtraDatas empty()

    - #### from

          public static ExtraDatas from​(Iterable<? extends ExtraData> extradatas)

    - #### from

          public static ExtraDatas from​(Stream<? extends ExtraData> extradatas)

    - #### from

          public static ExtraDatas from​(ExtraDatas extraDatas,
                                        ExtraData extraData)

    - #### create

          public static ExtraDatas.Builder create()